Create Webhook
curl --request POST \
--url https://api.agentwallex.com/api/v1/webhooks \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "https://your-app.com/webhooks/agentwallex",
"events": [
"payment.completed",
"payment.failed",
"policy.violated"
],
"secret": "whsec_your_signing_secret"
}
'import requests
url = "https://api.agentwallex.com/api/v1/webhooks"
payload = {
"url": "https://your-app.com/webhooks/agentwallex",
"events": ["payment.completed", "payment.failed", "policy.violated"],
"secret": "whsec_your_signing_secret"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://your-app.com/webhooks/agentwallex',
events: ['payment.completed', 'payment.failed', 'policy.violated'],
secret: 'whsec_your_signing_secret'
})
};
fetch('https://api.agentwallex.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "whk_abc123",
"url": "https://your-app.com/webhooks/agentwallex",
"events": [
"payment.completed",
"payment.failed",
"policy.violated"
],
"status": "active",
"created_at": "2025-06-01T10:00:00Z"
}{
"code": "invalid_request",
"type": "invalid_request_error",
"message": "The request body is missing required fields."
}{
"code": "authentication_failed",
"type": "authentication_error",
"message": "The provided API key is invalid or expired."
}{
"code": "insufficient_permissions",
"type": "authorization_error",
"message": "You do not have permission to perform this action."
}{
"code": "rate_limit_exceeded",
"type": "rate_limit_error",
"message": "Too many requests. Please retry after a short delay."
}{
"code": "server_error",
"type": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Webhook
创建 Webhook
注册新的 Webhook 端点以接收实时事件通知。
POST
/
api
/
v1
/
webhooks
Create Webhook
注册新的 Webhook 端点,通过 HTTP POST 接收实时事件通知。
请求体
string
必填
接收 Webhook 事件的 HTTPS URL。
string
必填
用于验证 Webhook 负载的签名密钥。必须以
whsec_ 开头。示例
curl -X POST https://api.agentwallex.com/api/v1/webhooks \
-H "X-API-Key: awx_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"url": "https://your-app.com/webhooks/agentwallex",
"events": ["payment.completed", "payment.failed", "policy.violated"],
"secret": "whsec_your_signing_secret"
}'
Response
{
"id": "whk_abc123",
"url": "https://your-app.com/webhooks/agentwallex",
"events": ["payment.completed", "payment.failed", "policy.violated"],
"status": "active",
"created_at": "2025-06-01T10:00:00Z"
}
授权
ApiKeyAuthBearerAuth
API key authentication. Keys are prefixed with awx_.
请求体
application/json
响应
Webhook created successfully.
A registered webhook endpoint for receiving real-time event notifications.
⌘I